### Method

# Xdp Portal get_user_information_finish

#### Declaration [src]

    GVariant*
    xdp_portal_get_user_information_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the get-user-information request.

Returns the result in the form of a `GVariant` dictionary containing the following fields:

- id `s`: the user ID
- name `s`: the users real name
- image `s`: the uri of an image file for the users avatar picture.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GVariant`
| A `GVariant` dictionary with user information.
| The caller of the method takes ownership of the data, and is responsible for freeing it.